How to Patch Linux Kernel Vulnerability (CVE-2016-0728) on Ubuntu Linux

Sabtu, 23 Januari 2016

Baru baru ini Linux Kernel berhasil ditemukan bug yang membuat seseorang / attacker masuk ke sistem sebagai root dan memungkinkan mereka untuk melihat file file rahasia / menghapus nya.
Exploit ini berjalan di Kernel 3.8 keatas, baik di 32 bit maupun 64 bit.

Exploit yang masuk kategori 0day ini dipublish oleh Perception Point.
Kalian bisa melihat file exploit nya disini :

Cara compile nya cukup masukkan command
$ gcc cve_2016_0728.c -o 0day -lkeyutils -Wall
$ sudo chmod +x 0day
$ ./0day PP1


Exploit tersebut akan terus bisa dijalankan jika kalian tidak melakukan upgrade sistem .

Pihak Ubuntu Linux sendiri sudah memberi info tentang adanya bug ini.
Bisa cek artikel nya disini :
http://www.ubuntu.com/usn/usn-2872-1/

Nah, cara patch nya untuk Ubuntu Linux adalah
$ sudo apt-get update && sudo apt-get upgrade

Atau kalian bisa mengupgrade kernel ke versi stabil.
How to Upgrade Kernel to Mainline Version

Sekian post kali ini, semoga bermanfaat.
Go opensource, go linux !

Artikel Terkait Artikel ,Exploit ,General ,Linux ,Security ,Ubuntu

7 komentar:

Syahroni mengatakan...

Nice info gan

Sarupe Jupe mengatakan...

linux memang ok buat komputer yang ga mau kena lisence, walau penggunaannya aga ribe sih.
-5blends-

Aldi Abdul Aziz mengatakan...

Info Menarik gan :D

Fabio Handi mengatakan...

thanks gan infonya

Erick De Gusra mengatakan...

keren nih infonnya gan, artikelnya menarik dan bagus :) sukses selalu :)

Ahmad Laturangga mengatakan...

artikelnya bagus gan. lanjutkan

Imam Firdaus mengatakan...

nice post gan :) ditunggu post selanjutnya

Posting Komentar